GdauiCloud

## GdauiCloud GdauiCloud |

## Synopsis

    struct              GdauiCloud;
    GtkWidget *         gdaui_cloud_new                     (GdaDataModel *model,
                                                             gint label_column,
                                                             gint weight_column);
    void                gdaui_cloud_set_selection_mode      (GdauiCloud *cloud,
                                                             GtkSelectionMode mode);
    void                gdaui_cloud_filter                  (GdauiCloud *cloud,
                                                             const gchar *filter);
    GtkWidget *         gdaui_cloud_create_filter_widget    (GdauiCloud *cloud);
    gdouble             (*GdauiCloudWeightFunc)             (GdaDataModel *model,
                                                             gint row,
                                                             gpointer data);
    void                gdaui_cloud_set_weight_func         (GdauiCloud *cloud,
                                                             GdauiCloudWeightFunc func,
                                                             gpointer data);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GdauiCloud

## Implemented Interfaces

GdauiCloud implements AtkImplementorIface, GtkBuildable, GtkOrientable and GdauiDataSelector.

## Properties

      "label-column"             gint                  : Read / Write
      "max-scale"                gdouble               : Read / Write
      "min-scale"                gdouble               : Read / Write
      "model"                    GdaDataModel*         : Read / Write
      "weight-column"            gint                  : Read / Write

## Signals

      "activate"                                       : Run First

## Description

## Details

### struct GdauiCloud

    struct GdauiCloud;

### gdaui_cloud_new ()

    GtkWidget *         gdaui_cloud_new                     (GdaDataModel *model,
                                                             gint label_column,
                                                             gint weight_column);

Since 4.2

### gdaui_cloud_set_selection_mode ()

    void                gdaui_cloud_set_selection_mode      (GdauiCloud *cloud,
                                                             GtkSelectionMode mode);

Since 4.2

### gdaui_cloud_filter ()

    void                gdaui_cloud_filter                  (GdauiCloud *cloud,
                                                             const gchar *filter);

Since 4.2

### gdaui_cloud_create_filter_widget ()

    GtkWidget *         gdaui_cloud_create_filter_widget    (GdauiCloud *cloud);

Since 4.2

### GdauiCloudWeightFunc ()

    gdouble             (*GdauiCloudWeightFunc)             (GdaDataModel *model,
                                                             gint row,
                                                             gpointer data);

### gdaui_cloud_set_weight_func ()

    void                gdaui_cloud_set_weight_func         (GdauiCloud *cloud,
                                                             GdauiCloudWeightFunc func,
                                                             gpointer data);

Since 4.2

## Property Details

### The `"label-column"` property

      "label-column"             gint                  : Read / Write

Column in the data model which contains the text to display, the column must be a G_TYPE_STRING.

Allowed values: >= G_MAXULONG

Default value: -1

### The `"max-scale"` property

      "max-scale"                gdouble               : Read / Write

Allowed values: [0.1,10]

Default value: 3

### The `"min-scale"` property

      "min-scale"                gdouble               : Read / Write

Allowed values: [0.1,10]

Default value: 0.8

### The `"model"` property

      "model"                    GdaDataModel*         : Read / Write

### The `"weight-column"` property

      "weight-column"            gint                  : Read / Write

Allowed values: >= G_MAXULONG

Default value: -1

## Signal Details

### The `"activate"` signal

    void                user_function                      (GdauiCloud *gdauicloud,
                                                            gint        arg1,
                                                            gpointer    user_data)       : Run First